import DrawPad from "./DrawPad";
import type { Contestant } from "./store/displaySlice";

interface Props {
  contestant: Contestant;
}

const ContestantWidget = ({ contestant }: Props) => (
  <span style={{ minWidth: "30%" }}>
    <h2 className="text-center">${String(contestant.score)}</h2>
    <div
      style={{
        padding: 5,
        backgroundColor: contestant.active
          ? "yellow"
          : contestant.failed
          ? "red"
          : "black",
        minWidth: "30%",
      }}
    >
      <DrawPad lines={contestant.signature} height={200} readonly />
    </div>
  </span>
);

export default ContestantWidget;
