import { useEffect } from "react";
import { Stack, Container } from "react-bootstrap";

import { socket } from "./socket";
import { useAppSelector } from "./hooks";
import { selectRoomCode } from "./store/socketSlice";
import { selectContestants } from "./store/displaySlice";
import ContestantWidget from "./ContestantWidget";

const Display = () => {
  const roomCode = useAppSelector(selectRoomCode);
  const contestants = useAppSelector(selectContestants);

  useEffect(() => {
    socket.emit("new-game");
  }, []);

  return (
    <>
      <Container>
        <h1 className="text-center">Room code is: {roomCode}</h1>
      </Container>
      <Stack
        direction="horizontal"
        gap={10}
        className="position-absolute bottom-0 w-100 d-flex justify-content-center"
      >
        {Object.entries(contestants).map(([sid, contestant]) => (
          <ContestantWidget key={sid} contestant={contestant} />
        ))}
      </Stack>
    </>
  );
};

export default Display;
