import { configureStore } from "@reduxjs/toolkit";
import socketReducer from "./socketSlice";
import contestantReducer from "./contestantSlice";
import displayReducer from "./displaySlice";
import cluesReducer from "./cluesSlice";

const store = configureStore({
  reducer: {
    socket: socketReducer,
    contestant: contestantReducer,
    display: displayReducer,
    clues: cluesReducer,
  },
});

export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;

export default store;
